QGIS Application - Bug report #10493
Todays build crashes when loading a map
2014-06-07 06:35 AM - Tobias Schneider

Status: Closed

Priority: High

Assignee:

Category:

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corruptsdata: Copied to github as #: 18904

Description

Since todays build, every time | load a map QGIS crashes. The console tells me this on startup:

Warning: loading of gt translation failed [/usr/share/qt4/translations/qt_en_US]
Warning: QGraphicsScene::addltem: item has already been added to this scene
Warning: void DBusMenuExporterPrivate::addAction(QAction*, int): Already tracking action "Toolbox" under id 256

and this after loading the map:

QGIS died on signal 11Could not attach to process. If your uid matches the uid of the target
process, check the setting of /proc/sys/kernel/yama/ptrace_scope, or try

again as the root user. For more details, see /etc/sysctl.d/10-ptrace.conf

ptrace: Die Operation ist nicht erlaubt.

No thread selected

No stack.

gdb returned 0

Abgebrochen (Speicherabzug geschrieben)

System: ubuntu 14.04 64 bit

History

#1 - 2014-06-07 09:03 AM - Tobias Schneider
New build does similar bad:

Warning: loading of gt translation failed [/usr/share/qt4/translations/qt_en_US]
Warning: QGraphicsScene::addltem: item has already been added to this scene
Warning: void DBusMenuExporterPrivate::addAction(QAction*, int): Already tracking action "Toolbox" under id 256
ERROR 1: Attempt to read shape with feature id (3), but it is marked deleted.
ERROR 1: Attempt to read shape with feature id (6), but it is marked deleted.
ERROR 1: Attempt to read shape with feature id (7), but it is marked deleted.
ERROR 1: Attempt to read shape with feature id (8), but it is marked deleted.
ERROR 1: Attempt to read shape with feature id (14), but it is marked deleted.
ERROR 1: Attempt to read shape with feature id (15), but it is marked deleted.
ERROR 1: Attempt to read shape with feature id (16), but it is marked deleted.
ERROR 1: Attempt to read shape with feature id (18), but it is marked deleted.
Warning 1: organizePolygons() received an unexpected geometry.

Either a polygon with interior rings, or a polygon with less than 4 points,

or a non-Polygon geometry. Return arguments as a collection.
ERROR 1: Attempt to read shape with feature id (18), but it is marked deleted.
Warning 1: organizePolygons() received an unexpected geometry.

but it is marked deleted.

Either a polygon with interior rings, or a polygon with less than 4 points,

or a non-Polygon geometry. Return arguments as a collection.

ERROR 1: lllegalArgumentException: Invalid number of points in LinearRing found 3 - must be 0 or >= 4
Warning 1: organizePolygons() received an unexpected geometry.

Either a polygon with interior rings, or a polygon with less than 4 points,

or a non-Polygon geometry. Return arguments as a collection.

QGIS died on signal 11Could not attach to process. If your uid matches the uid of the target
process, check the setting of /proc/sys/kernel/yama/ptrace_scope, or try

again as the root user. For more details, see /etc/sysctl.d/10-ptrace.conf

ptrace: Die Operation ist nicht erlaubt.

No thread selected

No stack.

gdb returned 0

Abgebrochen (Speicherabzug geschrieben)

#2 - 2014-06-08 01:19 AM - Giovanni Manghi
- Crashes QGIS or corrupts data changed from No to Yes
- Priority changed from Normal to High

does happen loading any project or layer? How did you installed, using the nightly-build repo (with or without ubuntugis?) or compiling?

#3 - 2014-06-08 01:19 AM - Giovanni Manghi
- Status changed from Open to Feedback

#4 - 2014-06-08 07:53 AM - Tobias Schneider
- Status changed from Feedback to Closed

| can't reproduce the bug in today's build. It only happened with vector and postgis layers (not raster layers) yesterday. | use the nightly build from

http://qgis.org/debian-nightly - | think we can close this now.
